'VBScript sample for OstroSoft SMTP Component
'written by Igor Ostrovsky (OstroSoft)
'
'Permanent URL for this project is
'http://www.ostrosoft.com/smtp_component/smtp_vbscript.asp
'
'For more information about OstroSoft SMTP Component go to
'http://www.ostrosoft.com/smtp_component.asp
'
'OstroSoft SMTP Component is available for download at
'http://www.ostrosoft.com/download/smtp_component.zip
'
'Questions, suggestions, comments - email to info@ostrosoft.com
'or submit a form at http://www.ostrosoft.com/contact.asp

Option Explicit

Dim oSMTP 'As OSSMTP.SMTPSession
Dim sStatus 'As String
Dim bClose 'As Boolean
Dim nTimeout 'As Long
Dim n 'As Long

sStatus = ""
bClose = False
nTimeout = 1000
n = 0

Set oSMTP = CreateObject("OSSMTP.SMTPSession")
WScript.ConnectObject oSMTP, "oSMTP_"

oSMTP.Server = "localhost" 'server name or IP address
oSMTP.MailFrom = "info" 'sender e-mail address
oSMTP.SendTo = "test" 'recipient e-mail address
oSMTP.MessageSubject = "test message" 'message subject
oSMTP.MessageText = "this is " & vbCrLf & "multi-line test" 'message text
oSMTP.RaiseError = True

'2 ways to add an attachment
'simplified syntax (without Attachment object):
oSMTP.Attachments.Add "c:\Temp\file1.zip"

'advanced syntax (using Attachment object):
Dim oAttachment
Set oAttachment = CreateObject("OSSMTP.Attachment")
oAttachment.FilePath = "c:\Temp\file2.zip"
oAttachment.AttachmentName = "smtp_vbscript"
oAttachment.ContentType = "application/x-zip-compressed"
oAttachment.ContentTransferEncoding = 0 '1 - enc7Bit, 2 - encBase64)
oSMTP.Attachments.Add oAttachment

oSMTP.SendEmail

Sub oSMTP_ConnectSMTP()
'connected to mailserver
End Sub

Sub oSMTP_SendSMTP()
'message successfully sent
End Sub

Sub oSMTP_StatusChanged(ByVal Status)
  sStatus = sStatus & oSMTP.Status & vbCrLf
End Sub

Sub oSMTP_ErrorSMTP(ByVal Number, Description)
'error occured
  sStatus = sStatus & "Error " & Number & ": " & Description & vbCrLf
  bClose = True
End Sub

Sub oSMTP_CloseSMTP()
'connection to mailserver closed
  bClose = True
End Sub

Do While Not bClose
  WScript.Sleep 1
  n = n + 1
  If n > nTimeout Then
    sStatus = sStatus & "Timeout" & vbCrLf
    Exit Do
  End If
Loop

WScript.Echo sStatus
Set oSMTP = Nothing
