VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Mailing List"
   ClientHeight    =   7665
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7845
   LinkTopic       =   "Form1"
   ScaleHeight     =   7665
   ScaleWidth      =   7845
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame2 
      Caption         =   "Send Email"
      Height          =   3255
      Left            =   120
      TabIndex        =   5
      Top             =   4320
      Width           =   7575
      Begin VB.TextBox txtMailFrom 
         Height          =   315
         Left            =   4440
         TabIndex        =   15
         Top             =   360
         Width           =   2895
      End
      Begin VB.CommandButton cmdSend 
         Caption         =   "Send"
         Enabled         =   0   'False
         Height          =   315
         Left            =   3480
         TabIndex        =   14
         Top             =   2820
         Width           =   975
      End
      Begin VB.TextBox txtMessage 
         Height          =   1635
         Left            =   840
         MultiLine       =   -1  'True
         TabIndex        =   12
         Top             =   1080
         Width           =   6495
      End
      Begin VB.TextBox txtSubject 
         Height          =   315
         Left            =   840
         TabIndex        =   10
         Top             =   720
         Width           =   6495
      End
      Begin VB.TextBox txtServer 
         Height          =   315
         Left            =   840
         TabIndex        =   8
         Top             =   360
         Width           =   2655
      End
      Begin VB.Label Label5 
         Alignment       =   1  'Right Justify
         AutoSize        =   -1  'True
         Caption         =   "Mail From"
         Height          =   195
         Left            =   3630
         TabIndex        =   16
         Top             =   420
         Width           =   675
      End
      Begin VB.Label Label4 
         Alignment       =   1  'Right Justify
         AutoSize        =   -1  'True
         Caption         =   "Message"
         Height          =   195
         Left            =   135
         TabIndex        =   13
         Top             =   1200
         Width           =   645
      End
      Begin VB.Label Label3 
         Alignment       =   1  'Right Justify
         AutoSize        =   -1  'True
         Caption         =   "Subject"
         Height          =   195
         Left            =   240
         TabIndex        =   11
         Top             =   780
         Width           =   540
      End
      Begin VB.Label Label2 
         Alignment       =   1  'Right Justify
         AutoSize        =   -1  'True
         Caption         =   "Server"
         Height          =   195
         Left            =   315
         TabIndex        =   9
         Top             =   420
         Width           =   465
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "List Maintenance"
      Height          =   4095
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   7575
      Begin VB.CommandButton cmdDelete 
         Caption         =   "Delete"
         Enabled         =   0   'False
         Height          =   315
         Left            =   4320
         TabIndex        =   7
         Top             =   3600
         Width           =   975
      End
      Begin VB.CommandButton cmdModify 
         Caption         =   "Modify"
         Enabled         =   0   'False
         Height          =   315
         Left            =   3240
         TabIndex        =   6
         Top             =   3600
         Width           =   975
      End
      Begin VB.TextBox txtUser 
         Height          =   315
         Left            =   1320
         TabIndex        =   3
         Top             =   3120
         Width           =   6015
      End
      Begin VB.CommandButton cmdAdd 
         Caption         =   "Add"
         Enabled         =   0   'False
         Height          =   315
         Left            =   2160
         TabIndex        =   2
         Top             =   3600
         Width           =   975
      End
      Begin VB.ListBox lstUsers 
         Height          =   2595
         Left            =   240
         Sorted          =   -1  'True
         TabIndex        =   1
         Top             =   360
         Width           =   7095
      End
      Begin VB.Label Label1 
         AutoSize        =   -1  'True
         Caption         =   "Email address"
         Height          =   195
         Left            =   240
         TabIndex        =   4
         Top             =   3180
         Width           =   975
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim oFSO As Scripting.FileSystemObject
Dim oUsers As TextStream
Dim oLog As TextStream
Dim i As Integer
Dim WithEvents oSMTP As OSSMTP.SMTPSession
Attribute oSMTP.VB_VarHelpID = -1
Dim bReady As Boolean

Private Sub cmdAdd_Click()
  lstUsers.AddItem txtUser.Text
End Sub

Private Sub cmdDelete_Click()
  lstUsers.RemoveItem lstUsers.ListIndex
End Sub

Private Sub cmdModify_Click()
  lstUsers.List(lstUsers.ListIndex) = txtUser.Text
End Sub

Private Sub cmdSend_Click()
  Set oLog = oFSO.OpenTextFile("users.txt", ForAppending, True)
  For i = 0 To lstUsers.ListCount - 1
    Set oSMTP = New OSSMTP.SMTPSession
    With oSMTP
      .Server = txtServer.Text
      .MailFrom = txtMailFrom.Text
      .SendTo = lstUsers.List(i)
      .MessageSubject = txtSubject.Text
      .MessageText = txtMessage.Text
      
      .SendEmail
    End With
    
    While Not bReady
      DoEvents
    Wend
    Set oSMTP = Nothing
  Next
  oLog.Close
End Sub

Private Sub Form_Load()
  Set oFSO = New Scripting.FileSystemObject
  Set oUsers = oFSO.OpenTextFile("users.txt", ForReading, True)
  While Not oUsers.AtEndOfStream
    lstUsers.AddItem oUsers.ReadLine
  Wend
  oUsers.Close
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set oUsers = oFSO.OpenTextFile("users.txt", ForWriting, True)
  For i = 0 To lstUsers.ListCount - 1
    oUsers.WriteLine lstUsers.List(i)
  Next
  oUsers.Close
  Set oFSO = Nothing
End Sub

Private Sub lstUsers_Click()
  If lstUsers.ListIndex > -1 Then
    cmdDelete.Enabled = True
    cmdModify.Enabled = True
  Else
    cmdDelete.Enabled = False
    cmdModify.Enabled = False
  End If
End Sub

Private Sub oSMTP_ErrorSMTP(ByVal Number As Integer, Description As String)
  oLog.WriteLine Now & " - failed to send message to " & lstUsers.List(i)
  oLog.WriteLine "Error " & Number & ": " & Description
  bReady = True
End Sub

Private Sub oSMTP_SendSMTP()
  oLog.WriteLine Now & " - message sent to " & lstUsers.List(i)
  bReady = True
End Sub

Private Sub txtMailFrom_Change()
  EnableSend
End Sub

Private Sub txtMessage_Change()
  EnableSend
End Sub

Private Sub txtServer_Change()
  EnableSend
End Sub

Private Sub txtSubject_Change()
  EnableSend
End Sub

Private Sub txtUser_Change()
  If txtUser.Text <> "" Then cmdAdd.Enabled = True Else cmdAdd.Enabled = False
End Sub

Private Sub EnableSend()
  If txtServer.Text <> "" And txtMailFrom.Text <> "" And txtSubject.Text <> "" And txtMessage.Text <> "" Then _
    cmdSend.Enabled = True Else cmdSend.Enabled = False
End Sub
